aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorOndřej Čertík <ondrej@certik.us>2020-01-25 10:39:14 -0700
committerOndřej Čertík <ondrej@certik.us>2020-01-25 10:39:14 -0700
commit210ffbf4e07b63d7d13c4be4d9e3f547cc609b08 (patch)
tree3283592af231121b043af8fab0ab367360a76ca5 /ci
parent5cfa1e7e9060fcb20db4037d87fe4fb4b8a788f3 (diff)
downloadfpm-210ffbf4e07b63d7d13c4be4d9e3f547cc609b08.tar.gz
fpm-210ffbf4e07b63d7d13c4be4d9e3f547cc609b08.zip
Install cmake using a binary
Diffstat (limited to 'ci')
-rwxr-xr-xci/install_cmake.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/ci/install_cmake.sh b/ci/install_cmake.sh
new file mode 100755
index 0000000..9afe1e2
--- /dev/null
+++ b/ci/install_cmake.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+set -ex
+
+wget -qO- https://github.com/Kitware/CMake/releases/download/v3.16.3/cmake-3.16.3-Linux-x86_64.tar.gz | sudo tar xz --strip=1 -C /usr/local/
+which cmake
+cmake --version